Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
agents
/
{agent_id}
/
delegates
List Agent Delegates
curl --request GET \
  --url https://api.letpiper.com/v1/orgs/{org_id}/agents/{agent_id}/delegates \
  --header 'Authorization: Bearer <token>'
{
  "delegates": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "delegate_agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "delegate_agent_name": "<string>",
      "delegate_agent_is_active": true,
      "name": "<string>",
      "description": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Platform token (starts with pat_)

Path Parameters

org_id
string<uuid>
required
agent_id
string<uuid>
required

Response

Successful Response

Schema for listing agent delegates.

delegates
AgentDelegateRead · object[]
required